DCMTK - Bug #819

RLE encoder should set PlanarConfiguration to 1
2018-03-19 20:50 - Marco Eichelberg

Status: Closed Start date: 2018-03-19
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.5

Module: dcmdata Compiler:

Operating System:

Description

The RLE encoder should update PlanarConfiguration to have a value of 1 if the image has SamplesPerPixel > 1.

This is clarified by the DICOM standard in the following note:
http://dicom.nema.org/medical/dicom/current/output/chtml/part05/sect_G.2.html

Reported by Mathieu Malaterre.

Related issues:
Related to DCMTK - Conformance #882: JPEG-LS encoder should set PlanarConfigu... Closed

2019-04-29

History

#1 - 2018-07-02 16:13 - Marco Eichelberg

The proposed modification will most likely be made unnecessary by the following (still unnumbered) DICOM CP:

cp_dac466_02_planarconfigurationforjpeglswithwsi.pdf

#2 - 2018-07-02 16:15 - Marco Eichelberg

- Status changed from New to Feedback

Waiting for the CP to be balloted before closing this entry.

#3 - 2018-10-17 08:47 - Jorg Riesmeier
Now, this CP is known as CP-1843 (currently, a working draft).

#4 - 2018-11-15 19:32 - J6rg Riesmeier
- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 80

#5 - 2018-11-21 11:54 - J6rg Riesmeier
- Target version changed from 3.6.4 to 3.6.6

The current status of this CP is "VP" (Jan 2019 Voting Packet).

#6 - 2018-12-03 13:30 - OFFIS DICOM Team
- Target version changed from 3.6.6 to 3.6.5

#7 - 2019-03-07 16:26 - Jorg Riesmeier

Current status is Letter Ballot.

#8 - 2019-04-25 09:55 - J6rg Riesmeier

Now Final Text: ftp://medical.nema.org/medical/dicom/final/cp1843_ft_planarconfigurationforjpeglswithwsi.pdf

#9 - 2019-04-29 18:37 - Jorg Riesmeier
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

2025-09-06
http://dicom.nema.org/medical/dicom/current/output/chtml/part05/sect_G.2.html
ftp://medical.nema.org/medical/dicom/cp/cp1843_03_planarconfigurationforjpeglswithwsi.pdf
ftp://medical.nema.org/medical/dicom/cp/cp1843_vp_planarconfigurationforjpeglswithwsi.pdf
ftp://medical.nema.org/medical/dicom/cp/cp1843_lb_planarconfigurationforjpeglswithwsi.pdf
ftp://medical.nema.org/medical/dicom/final/cp1843_ft_planarconfigurationforjpeglswithwsi.pdf

There is no need to change the source code for RLE but CP-1843 also changes the requirements for JPEG-LS (Planar Configuration is now restricted
to be 0 instead of 1), which still needs to be checked in detail.

#10 - 2019-04-29 18:44 - J6rg Riesmeier
- Related to Conformance #882: JPEG-LS encoder should set PlanarConfiguration to 0 added

2025-09-06 22


http://www.tcpdf.org

